Subject: bug#61038: 30.0.50; `project-query-replace-regexp' also attempts search and replace in auto-save files

From: Dmitry Gutov <[email-masked]>
Date: Wed, 25 Jan 2023 01:20:25 +0200

On 24/01/2023 12:37, Mickey Petersen wrote:
> I think it'd be more useful if auto-save files (or even backup files)
> were excluded from all the various `project-' commands that operate on
> project files.

I think that depends on the project backend.

The default implementation uses grep-find-ignored-files (which include 
auto-save files, I think?).

But the vc-aware backend ignores generally what the repository 
configuration tells it to ignore. Which would generally include 
auto-save files as well, but that depends on factors external to Emacs.

What kind of backend were you trying this command with?